#
# spec file for package xfce4-panel-plugin-eyes
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-eyes-plugin
Name:           xfce4-panel-plugin-eyes
Version:        4.5.0
Release:        lp150.1.3
Summary:        Eyes Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-eyes-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/4.5/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %panel_version
BuildRequires:  pkgconfig(libxfce4ui-2) >= %panel_version
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Eyes plugin adds moving eyes to the panel which watch your activities.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libeyes.la

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libeyes.so
%{_datadir}/icons/hicolor/*/apps/xfce4-eyes.*
%dir %{_datadir}/xfce4/eyes
%{_datadir}/xfce4/eyes/*
%{_datadir}/xfce4/panel/plugins/eyes.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Nov 27 2016 seife+obs@b1-systems.com
- update to version 4.5.0:
  - port to gtk+3/libxfce4ui-2/libxfce4panel-2.0
  - translation updates
* Sun Mar 15 2015 gber@opensuse.org
- update to version 4.4.4
  - add ACLOCAL_AMFLAGS to Makefile.am
  - add .gitignore
  - fix IT_PROG_INTLTOOL warning
  - translation updates
* Tue Dec 23 2014 gber@opensuse.org
- update to version 4.4.3
  - fixes for the build system
  - translation updates
* Thu Mar  7 2013 gber@opensuse.org
- update to version 4.4.2
  - small optimizations to update function, making animation more
    smooth
  - support for deskbar mode and panel multi-row config
    (>=xfce4-panel-4.9.0)
  - make eye movement independent, like in xeyes
  - implement eye position calculations in 3D coordinates
  - build the plugin as a module
  - autotools update (automake-1.13 compatibility and other issues)
  - fix remembering theme
  - update size after panel orientation change
  - more translation updates
  - port to libxfce4ui
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
